Opened 4 weeks ago

Closed 3 weeks ago

Last modified 3 weeks ago

#7 closed enhancement (fixed)

Install multi-lingual plugin that cooperates nicely with Virtue Theme

Reported by: Fred Leeflang Owned by: Fred Leeflang
Priority: major Milestone: Everybody Using Trac
Component: 3DN Wordpress Site Version:
Keywords: Cc:
Blocked By: Blocking:
Estimated Hours: 0 Parent Tickets:
Total Hours: 1.85

Description

In the old Wordpress installation we had this, it's time to redo that now and this time do it right now that everybody's on-board.

Subtickets

Attachments (1)

Screenshot from 2018-05-02 18-52-31.png (7.2 KB) - added by Fred Leeflang 3 weeks ago.
language selector

Download all attachments as: .zip

Change History (20)

comment:1 Changed 4 weeks ago by Fred Leeflang

Owner: changed from Hai to Fred Leeflang
Status: newaccepted

comment:2 Changed 4 weeks ago by Fred Leeflang

Actually the plugin name I was looking for is WPML

comment:3 Changed 4 weeks ago by Fred Leeflang

Hmm, WPML is also a commercial plugin and account has expired. Tomorrow I'll try and find the original installation package

comment:4 Changed 4 weeks ago by Fred Leeflang

fredl worked on this ticket for 65 minutes between 04/23/18 22:47:25 and 04/23/18 23:52:25.

Not worked on this for a full hour since Lukas also came to ask for help on his laptop

comment:5 Changed 3 weeks ago by Fred Leeflang

Estimated Hours: 0
Milestone: Everybody Using Trac
Type: defectenhancement

comment:6 Changed 3 weeks ago by Fred Leeflang

I installed three WPML plugins,

  • wpml-media.2.1.23
  • wpml-string-translation.2.5.1
  • wpml-translation-management.2.2.6

I also activated these in the 3DN site.

comment:7 Changed 3 weeks ago by Fred Leeflang

All the above plugins say 'WPML Translation Management is enabled but not effective. It requires WPML in order to work.'. I tried re-downloading the plugin from wpml.org but apparently my license has expired and I can't re-download

comment:8 Changed 3 weeks ago by Fred Leeflang

I managed to copy the sitepress-multilingual-cms package from the backups of the old wordpress site. I also installed the security update that I could download from wpml.org

comment:9 Changed 3 weeks ago by Fred Leeflang

WPML appears to be a HUGE plugin. Activating it after plain copying seems to have disabled the whole Wordpress server.

comment:10 Changed 3 weeks ago by Fred Leeflang

It seems there are many complaints on forums about WPML slowness. I'm wondering if it was this plugin that made the previous Wordpress site so slow that it was almost intolerable. I'm removing every plugin related to WPML and going to look for another multilingual plugin

comment:11 Changed 3 weeks ago by Fred Leeflang

Well, I decided that the 'polylang' plugin is probably the best way to go. I installed it and activated it on 3dn.nl. I think we have some learning to do for it though.

comment:12 Changed 3 weeks ago by Fred Leeflang

I added three languages to 3dn.nl site by going into languages -> add new language.

  • Vietnamese
  • English
  • Dutch

comment:13 Changed 3 weeks ago by Fred Leeflang

So adding those languages made the homepage go missing :) I guess that's because I haven't set a default language yet.

Alright, so I went to the Pages -> Homepage and noticed it had the Vietnamese language set and somehow maybe polylang thinks it needs to look for the English version. Changing that to English didn't yet resolve it.

THEN I went to the Languages menu again and set the default language to English. That seems to have done the trick and now the homepage is back again.

I'm thinking though that the default language should probably be Dutch instead of English or Vietnamese, so I'll try and translate the homepage to Dutch. We may however also need to translate a bunch of menu names etc. etc. etc.

Changed 3 weeks ago by Fred Leeflang

language selector

comment:14 Changed 3 weeks ago by Fred Leeflang

So when editting a page, there is now the following on the screen:

language selector

I hope the image above comes through since it contains spaces.

Last edited 3 weeks ago by Fred Leeflang (previous) (diff)

comment:15 Changed 3 weeks ago by Fred Leeflang

fredl worked on this ticket for 1.6 between 05/02/18 17:25:47 and 05/02/18 19:00:55.

Stopping work on this ticket to start work on #9.

comment:16 Changed 3 weeks ago by Fred Leeflang

Aha, found another nice thing about Trac Work Log plugin; When you click on start work on another ticket, the one that you were working on before gets an automatic stop. Also had to search a bit again how to get the above picture inside the ticket

comment:17 Changed 3 weeks ago by Fred Leeflang

So anyway from the picture in update 14, we see that this page HAS an English version, and we can ADD a Vietnamese and a Dutch one by pressing on the + next to those languages

comment:19 Changed 3 weeks ago by Fred Leeflang

fredl worked on this ticket for 0.26 between 05/02/18 19:06:26 and 05/02/18 19:22:03.

comment:18 Changed 3 weeks ago by Fred Leeflang

Resolution: fixed
Status: acceptedclosed

I'm going to close this ticket, checking into the usage of the polylang plugin reveals things that shouldn't be documented in a ticket but rather in its own Wiki page.

Note: See TracTickets for help on using tickets.